#ifndef _EXT_INT_H_
#define _EXT_INT_H_

#ifdef HAVE_EXINT0_EN
void Ext_Int0_Init(void);
void Ext_Int0_Close(void);
#endif	
#ifdef HAVE_EXINT1_EN	
void Ext_Int1_Init(void);
void Ext_Int1_Close(void);
#endif
#ifdef HAVE_EXINT2_EN
void EXT_INT2_ISR(void);
void Ext_Int2_Init(void); 
void Ext_Int2_Close(void);
#endif
#ifdef HAVE_EXINT3_EN
void EXT_INT3_ISR(void);
void Ext_Int3_Init(void);
void Ext_Int3_Close(void);
#endif
#ifdef HAVE_EXINT4_EN
void EXT_INT4_ISR(void);
void Ext_Int4_Init(void);
void Ext_Int4_Close(void);
#endif

#ifdef HAVE_EXINT5_EN
void EXT_INT5_ISR(void);
void Ext_Int5_Init(void);
void Ext_Int5_Close(void);
#endif

#ifdef HAVE_EXINT6_EN
void EXT_INT6_ISR(void);
void Ext_Int6_Init(void);
void Ext_Int6_Close(void);
#endif

#ifdef HAVE_EXINT7_EN
void EXT_INT7_ISR(void);
void Ext_Int7_Init(void);
void Ext_Int7_Close(void);
#endif

#ifdef HAVE_EXINT8_EN
void EXT_INT8_ISR(void);
void Ext_Int8_Init(void);
void Ext_Int8_Close(void);
#endif

#ifdef HAVE_EXINT9_EN
void EXT_INT9_ISR(void);
void Ext_Int9_Init(void);
void Ext_Int9_Close(void);
#endif

#endif